Module | Irc::Bot::Auth
In: | lib/rbot/botuser.rb

This module contains the actual Authentication stuff

### Methods

botowner defaultbotuser manager random_password

### Classes and Modules

Class Irc::Bot::Auth::BotOwnerClass
Class Irc::Bot::Auth::BotUser
Class Irc::Bot::Auth::Command
Class Irc::Bot::Auth::DefaultBotUserClass
Class Irc::Bot::Auth::InvalidPassword
Class Irc::Bot::Auth::ManagerClass
Class Irc::Bot::Auth::PermissionSet

### Public Class methods

botowner()

Returns the only instance of BotOwnerClass

defaultbotuser()

Returns the only instance of DefaultBotUserClass

manager()

Returns the only instance of ManagerClass

random_password(l=8)

Generate a random password of length l

[Validate]